### Name: snpsNear
### Title: obtain list of rs numbers for snps near a gene
### Aliases: snpsNear
### Keywords: models

### ** Examples

nearc = snpsNear(genesym("CPNE1"), 10000, chrnum(20))
library(GGtools)
data(hmceuB36.2021)
ss = smList(hmceuB36.2021)[[1]]
# following calculation requires new "[" for j an instance of rsid
clo = ss[ , rsid(snpsNear(rsid("rs6060535"), rad=1500, chrnum(20))) ]
clo
# try a gene set
library(GSEABase)
s1 = GeneSet(c("CPNE1", "ADA"), geneIdType=SymbolIdentifier())
s2 = s1
geneIdType(s2) = AnnotationIdentifier("illuminaHumanv1.db")
s2
sapply(snpsNear(s2), length)



